Subject: Re: Encounter undefined reference to `_libintl_dgettext'
From: Yaakov (Cygwin/X) <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 2 Jun 2010 00:56:09 -0500
List-Id: <cygwin.cygwin.com>

On Tue, 1 Jun 2010 22:16:50 -0700 (PDT)
aldray <[email-masked]> wrote:
> I realise that whatever usb device i plug in, like iphone. on the
> Ubuntu gphoto2, it is able to detect the device.
> 
> But when i do that on gphoto2 running on cygwin, it cannot detect
> anything. Is this some issue with the usb lib?

Very possibly.  libusb-win32 relies on a special 32-bit driver.  When I
was running XP I had mixed results with it, but on Win7 x64 it won't
work at all.

There may be an alternative: the libusb-compat package provides a
0.1-API compatibility layer on top of libusb-1.0, which doesn't
have those limitations.  I just built libgphoto2 against this version;
please give this a try instead:

http://cygwin-ports.svn.sourceforge.net/viewvc/cygwin-ports/ports/trunk/libs/libusb-compat/
http://cygwin-ports.svn.sourceforge.net/viewvc/cygwin-ports/ports/trunk/graphics/libgphoto2/

Binary packages will be available later this week.  If you have further
questions about Ports packages, please direct them to the
cygwin-ports-general list.  Reply-To set accordingly.

Yaakov

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple